Index: /trunk/data/class/pages/contact/LC_Page_Contact.php
===================================================================
--- /trunk/data/class/pages/contact/LC_Page_Contact.php	(revision 18562)
+++ /trunk/data/class/pages/contact/LC_Page_Contact.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -242,47 +242,15 @@
 
         $objQuery = new SC_Query();
-        $objMailText = new SC_SiteView();
         $objSiteInfo = $this->objView->objSiteInfo;
         $arrInfo = $objSiteInfo->data;
         $objPage->tpl_shopname=$arrInfo['shop_name'];
         $objPage->tpl_infoemail = $arrInfo['email02'];
-        $objMailText->assignobj($objPage);
-        $toCustomerMail = $objMailText->fetch("mail_templates/contact_mail.tpl");
-        $objMail = new SC_SendMail();
-
-        if ( $objPage->arrForm['email'] ) {
-            $fromMail_name = $objPage->arrForm['name01'] ." 様";
-            $fromMail_address = $objPage->arrForm['email'];
-        } else {
-            $fromMail_name = $CONF["shop_name"];
-            $fromMail_address = $CONF["email02"];
-        }
+
+        $fromMail_name = $objPage->arrForm['name01'] ." 様";
+        $fromMail_address = $objPage->arrForm['email'];
+
         $helperMail = new SC_Helper_Mail_Ex();
-        $subject = $helperMail->sfMakeSubject($objQuery, $objMailText, $this, "お問い合わせがありました。");
-        $objMail->setItem(
-                              $CONF["email02"]					//　宛先
-                            , $subject							//　サブジェクト
-                            , $toCustomerMail					//　本文
-                            , $fromMail_address					//　配送元アドレス
-                            , $fromMail_name					//　配送元　名前
-                            , $fromMail_address					//　reply_to
-                            , $CONF["email04"]					//　return_path
-                            , $CONF["email04"]					//  Errors_to
-                                                            );
-        $objMail->sendMail();
-
-        $subject = $helperMail->sfMakeSubject($objQuery, $objMailText, $this, "お問い合わせを受け付けました。");
-        $objMail->setItem(
-                              ''								//　宛先
-                            , $subject							//　サブジェクト
-                            , $toCustomerMail					//　本文
-                            , $CONF["email03"]					//　配送元アドレス
-                            , $CONF["shop_name"]				//　配送元　名前
-                            , $CONF["email02"]					//　reply_to
-                            , $CONF["email04"]					//　return_path
-                            , $CONF["email04"]					//  Errors_to
-                                                            );
-        $objMail->setTo($objPage->arrForm['email'], $objPage->arrForm['name01'] ." 様");
-        $objMail->sendMail();
+        $helperMail->sfSendTemplateMail($CONF["email02"], $CONF["shop_name"], "5", $objPage, $fromMail_address, $fromMail_name, $fromMail_address); 
+        $helperMail->sfSendTemplateMail($objPage->arrForm['email'], $objPage->arrForm['name01'] ." 様", "5", $objPage, $CONF["email03"], $CONF["shop_name"], $CONF["email02"]);
     }
 }
Index: /trunk/data/class/pages/contact/LC_Page_Contact_Complete.php
===================================================================
--- /trunk/data/class/pages/contact/LC_Page_Contact_Complete.php	(revision 16741)
+++ /trunk/data/class/pages/contact/LC_Page_Contact_Complete.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/regist/LC_Page_Regist.php
===================================================================
--- /trunk/data/class/pages/regist/LC_Page_Regist.php	(revision 18562)
+++ /trunk/data/class/pages/regist/LC_Page_Regist.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/regist/LC_Page_Regist_Complete.php
===================================================================
--- /trunk/data/class/pages/regist/LC_Page_Regist_Complete.php	(revision 16930)
+++ /trunk/data/class/pages/regist/LC_Page_Regist_Complete.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/abouts/LC_Page_Abouts.php
===================================================================
--- /trunk/data/class/pages/abouts/LC_Page_Abouts.php	(revision 16741)
+++ /trunk/data/class/pages/abouts/LC_Page_Abouts.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/guide/LC_Page_Guide.php
===================================================================
--- /trunk/data/class/pages/guide/LC_Page_Guide.php	(revision 16582)
+++ /trunk/data/class/pages/guide/LC_Page_Guide.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/guide/LC_Page_Guide_Usage.php
===================================================================
--- /trunk/data/class/pages/guide/LC_Page_Guide_Usage.php	(revision 16582)
+++ /trunk/data/class/pages/guide/LC_Page_Guide_Usage.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/guide/LC_Page_Guide_Charge.php
===================================================================
--- /trunk/data/class/pages/guide/LC_Page_Guide_Charge.php	(revision 16582)
+++ /trunk/data/class/pages/guide/LC_Page_Guide_Charge.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/guide/LC_Page_Guide_About.php
===================================================================
--- /trunk/data/class/pages/guide/LC_Page_Guide_About.php	(revision 16582)
+++ /trunk/data/class/pages/guide/LC_Page_Guide_About.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/guide/LC_Page_Guide_Kiyaku.php
===================================================================
--- /trunk/data/class/pages/guide/LC_Page_Guide_Kiyaku.php	(revision 16582)
+++ /trunk/data/class/pages/guide/LC_Page_Guide_Kiyaku.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -100,5 +100,5 @@
     function lfGetKiyaku($index, &$objPage) {
         $objQuery = new SC_Query();
-        $objQuery->setorder('rank DESC');
+        $objQuery->setOrder('rank DESC');
         $arrRet = $objQuery->select('kiyaku_title, kiyaku_text', 'dtb_kiyaku', 'del_flg <> 1');
 
Index: /trunk/data/class/pages/guide/LC_Page_Guide_Privacy.php
===================================================================
--- /trunk/data/class/pages/guide/LC_Page_Guide_Privacy.php	(revision 16582)
+++ /trunk/data/class/pages/guide/LC_Page_Guide_Privacy.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/inquiry/LC_Page_Inquiry.php
===================================================================
--- /trunk/data/class/pages/inquiry/LC_Page_Inquiry.php	(revision 17669)
+++ /trunk/data/class/pages/inquiry/LC_Page_Inquiry.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/forgot/LC_Page_Forgot.php
===================================================================
--- /trunk/data/class/pages/forgot/LC_Page_Forgot.php	(revision 16741)
+++ /trunk/data/class/pages/forgot/LC_Page_Forgot.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/LC_Page_Redirect.php
===================================================================
--- /trunk/data/class/pages/LC_Page_Redirect.php	(revision 16582)
+++ /trunk/data/class/pages/LC_Page_Redirect.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/entry/LC_Page_Entry_Kiyaku.php
===================================================================
--- /trunk/data/class/pages/entry/LC_Page_Entry_Kiyaku.php	(revision 16741)
+++ /trunk/data/class/pages/entry/LC_Page_Entry_Kiyaku.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -66,5 +66,5 @@
         // 規約内容の取得
         $objQuery = new SC_Query();
-        $objQuery->setorder("rank DESC");
+        $objQuery->setOrder("rank DESC");
         $arrRet = $objQuery->select("kiyaku_title, kiyaku_text", "dtb_kiyaku", "del_flg <> 1");
 
@@ -113,6 +113,6 @@
         $objQuery = new SC_Query();
         $count = $objQuery->count("dtb_kiyaku", "del_flg <> 1");
-        $objQuery->setorder("rank DESC");
-        $objQuery->setlimitoffset(1, $offset);
+        $objQuery->setOrder("rank DESC");
+        $objQuery->setLimitOffset(1, $offset);
         $arrRet = $objQuery->select("kiyaku_title, kiyaku_text", "dtb_kiyaku", "del_flg <> 1");
 
Index: /trunk/data/class/pages/entry/LC_Page_Entry_EmailMobile.php
===================================================================
--- /trunk/data/class/pages/entry/LC_Page_Entry_EmailMobile.php	(revision 16582)
+++ /trunk/data/class/pages/entry/LC_Page_Entry_EmailMobile.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/entry/LC_Page_Entry.php
===================================================================
--- /trunk/data/class/pages/entry/LC_Page_Entry.php	(revision 18562)
+++ /trunk/data/class/pages/entry/LC_Page_Entry.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -99,7 +99,7 @@
                                      array(  "column" => "addr02", "convert" => "aKV" ),
                                      array(  "column" => "email", "convert" => "a" ),
-                                     array(  "column" => "email2", "convert" => "a" ),
+                                     array(  "column" => "email02", "convert" => "a" ),
                                      array(  "column" => "email_mobile", "convert" => "a" ),
-                                     array(  "column" => "email_mobile2", "convert" => "a" ),
+                                     array(  "column" => "email_mobile02", "convert" => "a" ),
                                      array(  "column" => "tel01", "convert" => "n" ),
                                      array(  "column" => "tel02", "convert" => "n" ),
@@ -111,4 +111,7 @@
                                      array(  "column" => "job", "convert" => "n" ),
                                      array(  "column" => "birth", "convert" => "n" ),
+                                     array(  "column" => "year", "convert" => "n" ),
+                                     array(  "column" => "month", "convert" => "n" ),
+                                     array(  "column" => "day", "convert" => "n" ),
                                      array(  "column" => "reminder", "convert" => "n" ),
                                      array(  "column" => "reminder_answer", "convert" => "aKV"),
@@ -315,7 +318,7 @@
                                  array(  "column" => "addr02", "convert" => "aKV" ),
                                  array(  "column" => "email", "convert" => "a" ),
-                                 array(  "column" => "email2", "convert" => "a" ),
+                                 array(  "column" => "email02", "convert" => "a" ),
                                  array(  "column" => "email_mobile", "convert" => "a" ),
-                                 array(  "column" => "email_mobile2", "convert" => "a" ),
+                                 array(  "column" => "email_mobile02", "convert" => "a" ),
                                  array(  "column" => "tel01", "convert" => "n" ),
                                  array(  "column" => "tel02", "convert" => "n" ),
@@ -327,4 +330,7 @@
                                  array(  "column" => "job", "convert" => "n" ),
                                  array(  "column" => "birth", "convert" => "n" ),
+                                 array(  "column" => "year", "convert" => "n" ),
+                                 array(  "column" => "month", "convert" => "n" ),
+                                 array(  "column" => "day", "convert" => "n" ),
                                  array(  "column" => "reminder", "convert" => "n" ),
                                  array(  "column" => "reminder_answer", "convert" => "aKV"),
@@ -725,5 +731,5 @@
             $array["email"] = strtolower($array["email"]);
             $objQuery = new SC_Query();
-            $arrRet = $objQuery->select("email, update_date, del_flg", "dtb_customer","email = ? ORDER BY del_flg", array($array["email"]));
+            $arrRet = $objQuery->select("email, update_date, del_flg", "dtb_customer","email = ? OR email_mobile = ? ORDER BY del_flg", array($array["email"], $array["email"]));
 
             if(count($arrRet) > 0) {
Index: /trunk/data/class/pages/entry/LC_Page_Entry_Complete.php
===================================================================
--- /trunk/data/class/pages/entry/LC_Page_Entry_Complete.php	(revision 16930)
+++ /trunk/data/class/pages/entry/LC_Page_Entry_Complete.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/entry/LC_Page_Entry_New.php
===================================================================
--- /trunk/data/class/pages/entry/LC_Page_Entry_New.php	(revision 16582)
+++ /trunk/data/class/pages/entry/LC_Page_Entry_New.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc.php
===================================================================
--- /trunk/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc.php	(revision 16732)
+++ /trunk/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Best5.php
===================================================================
--- /trunk/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Best5.php	(revision 18432)
+++ /trunk/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Best5.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -108,6 +108,6 @@
         $where = "status = 1";
         $order = "rank";
-        $objQuery->setorder($order);
-        $objQuery->setlimit(RECOMMEND_NUM);
+        $objQuery->setOrder($order);
+        $objQuery->setLimit(RECOMMEND_NUM);
 
         $arrBestProducts = $objQuery->select($col, $from, $where);
Index: /trunk/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Login.php
===================================================================
--- /trunk/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Login.php	(revision 16741)
+++ /trunk/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Login.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Calendar.php
===================================================================
--- /trunk/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Calendar.php	(revision 18562)
+++ /trunk/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Calendar.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -145,5 +145,5 @@
     function lfGetHoliday() {
         $objQuery = new SC_Query();
-        $objQuery->setorder("rank DESC");
+        $objQuery->setOrder("rank DESC");
 
         $where = "del_flg <> 1";
Index: /trunk/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Cart.php
===================================================================
--- /trunk/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Cart.php	(revision 16741)
+++ /trunk/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Cart.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_SearchProducts.php
===================================================================
--- /trunk/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_SearchProducts.php	(revision 18562)
+++ /trunk/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_SearchProducts.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_News.php
===================================================================
--- /trunk/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_News.php	(revision 17204)
+++ /trunk/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_News.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Category.php
===================================================================
--- /trunk/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Category.php	(revision 16741)
+++ /trunk/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Category.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -113,5 +113,5 @@
             $where = "del_flg = 0";
         }
-        $objQuery->setoption("ORDER BY rank DESC");
+        $objQuery->setOption("ORDER BY rank DESC");
         $arrRet = $objQuery->select($col, $from, $where);
 
@@ -149,5 +149,5 @@
             $where .= " AND product_count > 0";
         }
-        $objQuery->setoption("ORDER BY rank DESC");
+        $objQuery->setOption("ORDER BY rank DESC");
         $arrRet = $objQuery->select($col, $from, $where);
 
Index: /trunk/data/class/pages/frontparts/LC_Page_FrontParts_LoginCheck.php
===================================================================
--- /trunk/data/class/pages/frontparts/LC_Page_FrontParts_LoginCheck.php	(revision 18007)
+++ /trunk/data/class/pages/frontparts/LC_Page_FrontParts_LoginCheck.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/LC_Page_Sitemap.php
===================================================================
--- /trunk/data/class/pages/LC_Page_Sitemap.php	(revision 16582)
+++ /trunk/data/class/pages/LC_Page_Sitemap.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -105,9 +105,4 @@
         print("<urlset xmlns='http://www.sitemaps.org/schemas/sitemap/0.9'>\n");
 
-        // 静的なページを処理
-        foreach($this->staticURL as $url) {
-            $this->createSitemap($url, '', 'daily', 1.0);
-        }
-
         // TOPページを処理
         $topPage = $this->getTopPage($this->arrPageList);
@@ -116,7 +111,12 @@
                              'daily', 1.0);
 
+        // 静的なページを処理
+        foreach ($this->staticURL as $url) {
+            $this->createSitemap($url, '', 'daily', 1.0);
+        }
+
         // 編集可能ページを処理
         $editablePages = $this->getEditablePage($this->arrPageList);
-        foreach($editablePages as $editablePage) {
+        foreach ($editablePages as $editablePage) {
             $this->createSitemap($editablePage['url'],
                                  $this->date2W3CDatetime($editablePage['update_date']));
@@ -125,9 +125,9 @@
         // 商品一覧ページを処理
         $products = $this->getAllProducts();
-        foreach($products as $product) {
+        foreach ($products as $product) {
             $this->createSitemap($product['url'], '', 'daily');
         }
         $mobileProducts = $this->getAllProducts(true);
-        foreach($mobileProducts as $mobileProduct) {
+        foreach ($mobileProducts as $mobileProduct) {
             $this->createSitemap($mobileProduct['url'], '', 'daily');
         }
@@ -135,10 +135,10 @@
         // 商品詳細ページを処理
         $details = $this->getAllDetail();
-        foreach($details as $detail) {
+        foreach ($details as $detail) {
             $this->createSitemap($detail['url'],
                                  $this->date2W3CDatetime($detail['update_date']));
         }
         $mobileDetails = $this->getAllDetail(true);
-        foreach($mobileDetails as $mobileDetail) {
+        foreach ($mobileDetails as $mobileDetail) {
             $this->createSitemap($mobileDetail['url'], 
                                  $this->date2W3CDatetime($mobileDetail['update_date']));
@@ -192,7 +192,6 @@
     function getTopPage($pageData) {
         $arrRet = array();
-        foreach($pageData as $page) {
+        foreach ($pageData as $page) {
             if ($page['page_id'] == "1") {
-                $page['url'] = SITE_URL . $page['url'];
                 $arrRet[0] = $page;
                 return $arrRet;
@@ -209,9 +208,7 @@
     function getEditablePage($pageData) {
         $arrRet = array();
-        $i = 0;
-        foreach($pageData as $page) {
+        foreach ($pageData as $page) {
             if ($page['page_id'] > 4) {
-                $arrRet[$i] = $page;
-                $i++;
+                $arrRet[] = $page;
             }
         }
@@ -308,5 +305,15 @@
         $sql .= " ORDER BY 	page_id";
 
-        return $objDBConn->getAll($sql, $arrVal);
+        $pageData = $objDBConn->getAll($sql, $arrVal);
+        // URL にプロトコルの記載が無い場合、SITE_URL を前置する。
+        foreach (array_keys($pageData) as $key) {
+            $page =& $pageData[$key];
+            if (!preg_match('|^https?://|i', $page['url'])) {
+                $page['url'] = SITE_URL . $page['url'];
+            }
+        }
+        unset($page);
+
+        return $pageData;
     }
 
Index: /trunk/data/class/pages/products/LC_Page_Products_DetailImage.php
===================================================================
--- /trunk/data/class/pages/products/LC_Page_Products_DetailImage.php	(revision 18562)
+++ /trunk/data/class/pages/products/LC_Page_Products_DetailImage.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/products/LC_Page_Products_Search.php
===================================================================
--- /trunk/data/class/pages/products/LC_Page_Products_Search.php	(revision 16582)
+++ /trunk/data/class/pages/products/LC_Page_Products_Search.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/products/LC_Page_Products_CategoryList.php
===================================================================
--- /trunk/data/class/pages/products/LC_Page_Products_CategoryList.php	(revision 16582)
+++ /trunk/data/class/pages/products/LC_Page_Products_CategoryList.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/products/LC_Page_Products_ReviewComplete.php
===================================================================
--- /trunk/data/class/pages/products/LC_Page_Products_ReviewComplete.php	(revision 16741)
+++ /trunk/data/class/pages/products/LC_Page_Products_ReviewComplete.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/products/LC_Page_Products_List.php
===================================================================
--- /trunk/data/class/pages/products/LC_Page_Products_List.php	(revision 18562)
+++ /trunk/data/class/pages/products/LC_Page_Products_List.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -529,7 +529,7 @@
 
         // 取得範囲の指定(開始行番号、行数のセット)
-        $objQuery->setlimitoffset($disp_num, $startno);
+        $objQuery->setLimitOffset($disp_num, $startno);
         // 表示順序
-        $objQuery->setorder($order);
+        $objQuery->setOrder($order);
 
         // 検索結果の取得
@@ -690,5 +690,5 @@
             $table = "vw_product_class AS prdcls";
             $where = "product_id = ?";
-            $objQuery->setorder("rank1 DESC, rank2 DESC");
+            $objQuery->setOrder("rank1 DESC, rank2 DESC");
             $arrRet = $objQuery->select($col, $table, $where, array($product_id));
         }
@@ -725,5 +725,5 @@
         $where = "del_flg = 0";
         $order = "payment_id";
-        $objQuery->setorder($order);
+        $objQuery->setOrder($order);
         $arrRet = $objQuery->select($col, $from, $where);
         return $arrRet;
Index: /trunk/data/class/pages/products/LC_Page_Products_Review.php
===================================================================
--- /trunk/data/class/pages/products/LC_Page_Products_Review.php	(revision 17383)
+++ /trunk/data/class/pages/products/LC_Page_Products_Review.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
